/* ========================================================================
   WordPress Admin Bar
   ======================================================================== */

#wpadminbar #wp-admin-bar-comments,
#wpadminbar #wp-admin-bar-gform-forms,
#wpadminbar #wp-admin-bar-wpengine_adminbar,
#wpadminbar #wp-admin-bar-wpseo-menu {
  display: none;
}

@media (max-width: 1024px) {

  #wpadminbar #wp-admin-bar-nitropack-top-menu,
  #wpadminbar #wp-admin-bar-duplicate-post {
    display: none;
  }
}

@media (max-width: 979px) {
  #wpadminbar {
    top: 0px;
    position: fixed;
  }
}

/* ========================================================================
   Page Container & Fixed Navigation
   ======================================================================== */

.et_fixed_nav.et_show_nav.et_secondary_nav_enabled #page-container {
  padding-top: 100px;
}

@media (max-width: 980px) {
  /* .et_fixed_nav.et_secondary_nav_only_menu.admin-bar #main-header {
    top: 32px !important;
    position: fixed;
  } */

  /* .et_fixed_nav.et_secondary_nav_only_menu #main-header {
    top: 30px !important;
    position: fixed;
  } */
}

@media (max-width: 900px) {
  /* .et_fixed_nav.et_secondary_nav_only_menu.admin-bar #main-header {
    top: 46px !important;
    position: fixed;
  }

  body.admin-bar.logged-in.et_fixed_nav.et_show_nav.et_secondary_nav_enabled #page-container {
    padding-top: 56px !important;
  } */
}

/* ========================================================================
   Main Header
   ======================================================================== */

#page-container #main-header,
#page-container #main-header .container.et_menu_container,
#page-container #main-header #et-top-navigation,
#page-container #main-header #et-top-navigation #top-menu {
  height: 72px;
  max-height: 72px;
}

#page-container #main-header,
#page-container #main-header.et-fixed-header {
  border-bottom: 2px solid #E0E0E0;
  box-shadow: none !important;
}

#page-container #main-header .et_menu_container {
  position: relative;
}

#page-container #main-header #et-top-navigation #top-menu > li.menu-item {
  height: 100%;
  padding-right: 0px;
}

#page-container #main-header #et-top-navigation .nav ul li a:hover {
  background-color: #e6f1f8 !important;
  color: #222 !important;
  opacity: 1 !important;
}

@media (min-width: 980px) {
  #main-header .container {
    width: 95%;
    max-width: 95%;
  }

  .et_header_style_left .logo_container #logo {
    max-width: 9.3rem;
  }
}

@media (max-width: 979px) {
  #main-header .container.et_menu_container {
    max-width: 560px;
  }
}

/* ========================================================================
   Top Header / Secondary Menu (Mini Blue Bar)
   ======================================================================== */

#page-container #top-header,
.et_secondary_nav_enabled #page-container #top-header,
.et_fixed_nav #page-container .et-fixed-header#top-header {
  background-color: #cfe9fb !important;
}

#page-container #top-header .container {
  width: 95%;
}

#top-header .container {
  padding-top: 0 !important;
  font-weight: 600;
}

.et_fixed_nav #top-header {
  position: fixed;
}

@media (min-width: 980px) {
  body.et_fixed_nav #page-container .et-fixed-header#top-header {
    background-color: #cfe9fb !important;
  }
}

@media (max-width: 979px) {
  .et_secondary_nav_only_menu #top-header,
  #et-secondary-nav,
  #et-secondary-menu {
    display: block !important;
  }
}

@media (max-width: 979px) {
  .et_secondary_nav_only_menu #top-header,
  #et-secondary-nav,
  #et-secondary-menu {
    display: none !important;
  }
}

/* Secondary Navigation */
/* ------------------------------------------------------------------------ */

#et-secondary-nav li ul {
  background-color: #ffffff !important;
  padding: 10px 0;
}

#et-secondary-nav li li {
  padding: 0 1rem;
}

#et-secondary-nav li li a {
  padding: 6px 12px;
  color: #3d3d3d;
  opacity: 0.8;
  font-size: 0.75rem;
}

#et-secondary-nav li li a:hover {
  background-color: transparent;
  color: #000;
  opacity: 1;
}

/* Override the arrow after the top nav menu tabs for screen readers */
#et-secondary-nav .menu-item-has-children > a:first-child::after {
  content: "3" / "" !important;
}

#et-secondary-nav .menu-item-has-children > a:first-child:after {
  transition: scale linear 0.3s;
  top: 8px;
}

#et-secondary-nav .menu-item-has-children.et-hover > a:first-child:after {
  transform: scale(-1);
}

/* Secondary Menu */
/* ------------------------------------------------------------------------ */
#et-secondary-menu > ul > li > a {
  font-size: 0.75rem;
  color: #3d3d3d;
  opacity: 0.8;
  padding: .75em 0 !important;
}

#et-secondary-menu > ul > li.menu-item-has-children > a {
  padding-right: 20px !important;
}

#et-secondary-menu > ul > li > a:hover {
  color: #000000;
  opacity: 1;
}

#et-secondary-menu #et-secondary-nav li.menu-item-has-children ul.sub-menu {
  display: none;
  opacity: 0;
  visibility: hidden;
}

#et-secondary-menu #et-secondary-nav li.menu-item-has-children.et-hover.et-show-dropdown ul.sub-menu {
  display: block;
  opacity: 1;
  visibility: visible;
}

#et-secondary-menu .sub-menu {
  border-radius: 6px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

#et-secondary-menu .sub-menu .menu-item {
  text-align: left;
}

#et-secondary-menu .sub-menu .menu-item a {
  line-height: 1rem;
  transition: background-color linear 0.2s;
}

#et-secondary-menu .sub-menu .menu-item a:hover {
  background-color: #e6f1f8;
  border-radius: 3px;
}

#et-secondary-menu .sub-menu .menu-item.wpml-ls-item .wpml-ls-display {
  display: none;
}

/* ========================================================================
   Top Menu / Main Navigation
   ======================================================================== */

.et_header_style_left #et-top-navigation,
.et_header_style_split #et-top-navigation,
.et_header_style_left .et-fixed-header #et-top-navigation,
.et_header_style_split .et-fixed-header #et-top-navigation {
  padding-top: 0px !important;
}

#et-top-navigation,
#et-top-navigation #top-menu,
#et-top-navigation #top-menu > li.menu-item {
  position: static;
}

/* Top Menu Structure */
/* ------------------------------------------------------------------------ */

#et-top-navigation #top-menu {
  display: inline-flex;
  gap: 0;
}

#et-top-navigation #top-menu > li.menu-item {
  display: flex;
  align-content: center;
  justify-content: center;
  align-items: center;
}

#et-top-navigation #top-menu > li.menu-item.get-demo-button {
  margin: 0 10px;
}

#et-top-navigation #top-menu > li.menu-item.menu-item-has-children a {
  display: inline-block;
}

@media (max-width: 900px) {
  #et-top-navigation #top-menu {
    display: none;
  }
}

/* Top Menu Links */
/* ------------------------------------------------------------------------ */

#et-top-navigation #top-menu > li.menu-item.menu-item-has-children > a {
  color: #3D3D3D;
  font-size: 1rem;
  font-style: normal;
  font-weight: 500;
  line-height: 155%;
  letter-spacing: 0.24px;
  padding: 23px 8px !important;
}

#et-top-navigation #top-menu > li.menu-item-has-children.et-show-dropdown.et-hover > a,
#et-top-navigation #top-menu > li.menu-item.menu-item-has-children > a:hover {
  background-color: rgb(230 241 248);
  opacity: 1;
}

#et-top-navigation #top-menu > li.menu-item-has-children > a:after {
  content: "";
  transition: all .2s linear;
  position: absolute;
  bottom: 0;
  left: 0;
  top: auto;
  right: auto;
  margin: 0;
  height: 2px;
  width: 0;
  transform: none;
  border-style: none;
  padding: 0;
  display: block;
}

#et-top-navigation #top-menu > li.menu-item-has-children.et-show-dropdown.et-hover > a:after,
#et-top-navigation #top-menu > li.menu-item-has-children > a:hover:after {
  display: block;
  height: 2px;
  width: 100%;
  transform: none;
  background-color: rgb(2 114 180);
}

#top-menu .menu-item-has-children > a:first-child:after {
  display: none;
}

/* CTA Buttons */
/* ------------------------------------------------------------------------ */

#et-top-navigation #top-menu .nav-cta-button.get-started-button a,
#et-top-navigation #top-menu .nav-cta-button.get-demo-button a {
  border: 2px solid #fcba00;
  border-radius: 0.375rem;
  text-align: center;
  color: black;
  font-size: 0.875rem;
  padding: 0.5rem 1.5rem;
  display: inline-block;
  cursor: pointer;
  font-weight: 600 !important;
  line-height: 1.25rem;
  opacity: 1;
}

#et-top-navigation #top-menu .nav-cta-button.get-demo-button a {
  background-color: #fff;
}

#et-top-navigation #top-menu .nav-cta-button.get-demo-button a:hover {
  background-color: #feeebf;
  color: #222222;
  border-color: #e3a700;
}

#et-top-navigation #top-menu .nav-cta-button.get-started-button a {
  background-color: #fcba00;
  padding: 0.5rem 1rem;
}

#et-top-navigation #top-menu .nav-cta-button.get-started-button a:hover {
  background-color: #e3a700;
  color: #222222;
  border-color: #e3a700;
}

/* Submenus - General */
/* ------------------------------------------------------------------------ */

@media (min-width: 980px) {
  #et-top-navigation #top-menu > li.menu-item > ul.sub-menu {
    max-width: 80vw;
  }
}

@media (min-width: 1200px) {
  #et-top-navigation #top-menu > li.menu-item > ul.sub-menu {
    max-width: 70vw;
  }
}

@media (min-width: 1400px) {
  #et-top-navigation #top-menu > li.menu-item > ul.sub-menu {
    max-width: 875px;
  }
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu li.menu-item {
  padding: 0 !important;
  width: 100%;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu li.menu-item a.inner-link .link-icon img {
  margin-top: 2px;
  max-width: 22px;
  width: 22px;
  height: auto;
  max-height: 22px;
}

/* Submenus - CTA Enabled */
/* ------------------------------------------------------------------------ */
#et-top-navigation #top-menu > li.menu-item.et-show-dropdown.et-hover ul.sub-menu.cta-enabled {
  grid-template-areas:
    "link1 link4 cta"
    "link2 link5 cta"
    "link3 link6 cta";
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.menu-item-index-1 {
  grid-area: link1;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.menu-item-index-2 {
  grid-area: link2;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.menu-item-index-3 {
  grid-area: link3;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.menu-item-index-4 {
  grid-area: link4;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.menu-item-index-5 {
  grid-area: link5;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.menu-item-index-6 {
  grid-area: link6;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item.cta-enabled {
  grid-area: cta;
}

#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item a.inner-link,
#et-top-navigation #top-menu > li.menu-item ul.sub-menu.cta-enabled li.menu-item a.cta-link {
  width: 100%;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.inner-link {
  display: grid;
  grid-template-columns: 22px 1fr;
  flex: 0 0 50%;
  gap: 10px;
  width: 100%;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.hover:hover {
  background-color: #e6f1f8;
  opacity: 1;
}

#et-top-navigation #top-menu ul.sub-menu a.inner-link .link-body .link-title,
#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link .link-title {
  font-size: 0.875rem;
  color: #1B1B1B;
  text-decoration-line: none;
  font-weight: 600;
  line-height: 130%;
  letter-spacing: 0.14px;
}

#et-top-navigation #top-menu ul.sub-menu a.inner-link .link-body .link-description,
#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link .link-description {
  color: #6B6B6B;
  font-size: 0.75rem;
  font-weight: 400;
  line-height: 150%;
  letter-spacing: 0.24px;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link .link-image img {
  border-radius: 6px;
  aspect-ratio: 5 / 3;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link .link-title {
  margin-top: 8px;
  margin-bottom: 8px;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link .cta-fake-link {
  color: #0272B4;
  font-size: 0.75rem;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  letter-spacing: 0.24px;
  margin-top: 8px;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link:hover .cta-fake-link {
  color: #01446c;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link .cta-fake-link span {
  transition: all 0.3s linear;
  margin-left: 4px;
  display: inline-block;
  transform-origin: left center;
}

#et-top-navigation #top-menu ul.sub-menu.cta-enabled a.cta-link:hover .cta-fake-link span {
  transform: scaleX(1.3);
}

/* Submenus - Solutions Enabled */
/* ------------------------------------------------------------------------ */

#et-top-navigation #top-menu > li.menu-item.et-show-dropdown.et-hover > ul.sub-menu.solutions-enabled {
  display: flex !important;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0;
  max-height: 25rem;
  height: 25rem;
  min-height: 25rem;
  scrollbar-color: #fff #fff;
  scrollbar-width: thin;
  overflow-y: scroll;
  overflow-x: hidden;
  
}

#et-top-navigation #top-menu > li.menu-item.et-show-dropdown.et-hover > ul.sub-menu.solutions-enabled li {
  max-width: 23.5%;
  height: auto;
  width: 100%;
  margin-right: 1.5%;
}

#et-top-navigation #top-menu > li.menu-item.et-show-dropdown.et-hover > ul.sub-menu.solutions-enabled li.break-item {
  flex-basis: 100%;
  width: 0;
  height: auto !important;
  margin: 0;
  padding: 0;
}

#et-top-navigation #top-menu > li.menu-item > ul.sub-menu.solutions-enabled {
  display: none;
}

#et-top-navigation #top-menu > li.menu-item > ul.sub-menu.solutions-enabled li.solutions-column {
  padding: 0px !important;
}

#et-top-navigation #top-menu > li.menu-item > ul.sub-menu.solutions-enabled li.solutions-column ul.solutions-submenu {
  display: block;
  position: static !important;
  opacity: 1;
  visibility: visible;
  width: 100% !important;
  box-shadow: none;
  border-radius: none;
  padding: 0px !important;
  border-top: 0px;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title a.inner-link,
#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title div.no-link {
  display: grid;
  grid-template-columns: 22px 1fr;
  gap: 0.35rem;
  margin-bottom: .625rem;
  padding-bottom: 5px;
  border-bottom: 1px solid #d3d3d3 !important;
  align-items: flex-end;
  line-height: 1;
  width: 100%;
  height: 2rem;
  overflow-y: hidden;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title img {
  width: 22px;
  height: 20px;
  max-height: 20px;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title a.inner-link.hover:hover {
  background-color: transparent;
  opacity: 1;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title div.no-link .link-title,
#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title a.inner-link .link-title {
  color: #000 !important;
  font-size: .875rem !important;
  font-weight: 600;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title div.no-link,
#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title div.no-link:hover {
  cursor: default !important;
  background-color: transparent;
  opacity: 1;
  line-height: 1;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title a.inner-link .link-title:after {
  content: "➔" / "";
  display: inline-block;
  margin-left: .5rem;
  border: none;
  transition: color .2s linear;
  font-size: .875rem;
  font-weight: 600;
  color: #000000;
  opacity: 1;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled li.solutions-title a.inner-link:hover .link-title:after {
  color: #0272b4;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled a.inner-link.hover {
  display: block;
  padding: 5px 10px !important;
  line-height: 1.25rem;
}

#et-top-navigation #top-menu ul.sub-menu.solutions-enabled .inner-link .link-body .link-title {
  font-weight: 400;
  font-size: 0.813rem;
}

/* #et-top-navigation #top-menu ul.sub-menu.solutions-enabled .inner-link.hover {
  padding: 5px 10px !important;
  line-height: 1.25rem;
  margin-bottom: 4px;
} */

/* ========================================================================
   Page Sections Spacing
   ======================================================================== */

@media (max-width: 979px) {
  body.page.logged-in.admin-bar.page-template-default .et_pb_section.et_pb_section_0 {
    padding-top: 40px !important;
  }

  body.page.page-template-default .et_pb_section.et_pb_section_0 {
    padding-top: 80px !important;
  }
}

/* ========================================================================
   Refactored Navigation (Top Menu Nav)
   ======================================================================== */

#main-header #et-top-navigation,
#main-header #et-top-navigation #top-menu-nav,
#main-header #et-top-navigation #top-menu-nav #top-menu {
  width: 100%;
}

#main-header #et-top-navigation #top-menu-nav {
  width: 100%;
  height: 100%;
  float: none;
}

#main-header #et-top-navigation #top-menu-nav #top-menu {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: flex-end;
  align-items: center;
  column-gap: 1rem;
}

#main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item {
  height: 100%;
  display: flex;
  align-items: center;
  position: static;
}

#main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item > ul.sub-menu {
  display: none;
  position: absolute;
  top: 100%;
  right: 0px;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  width: 100%;
  background-color: white;
  border-top: 0px;
  padding: 1rem !important;
  margin: 0 !important;
  visibility: hidden;
  opacity: 0;
}

#main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item.et-show-dropdown.et-hover > ul.sub-menu {
  display: grid !important;
  visibility: visible;
  opacity: 1;
}

#main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item.et-show-dropdown.et-hover > ul.sub-menu.solutions-enabled {
  display: flex !important;
  visibility: visible;
  opacity: 1;
}

@media (min-width: 980px) {
  #main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item > ul.sub-menu {
    max-width: 85vw;
  }
}

@media (min-width: 1200px) {
  #main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item > ul.sub-menu {
    max-width: 70vw;
  }
}

@media (min-width: 1400px) {
  #main-header #et-top-navigation #top-menu-nav #top-menu > li.menu-item > ul.sub-menu {
    max-width: 875px;
  }
}

@media (min-width: 980px) {
  #main-header #et-top-navigation #top-menu-nav {
    display: block !important;
  }
}

@media (max-width: 979px) {
  #main-header #et-top-navigation #top-menu-nav {
    display: none !important;
  }
}
